# CNCF TechDocs

This site contains resources provided by the CNCF Technical Documentation team,
including:

- [Docs](docs/) about building websites and developing technical documentation,
  including recommended tools, best practices, how-tos, and evaluation
  checklists. It provides specific guidelines for:
  - Setting up and maintaining a documentation website.
  - Writing technical documentation for a project.
  - Seeking assistance from the CNCF TechDocs community.
  - [Analyzing project documentation](docs/analysis/).
- [Analyses](analyses/): a collection of documentation analyses of CNCF projects
  performed by the TechDocs team.

## TechDocs Q&A

The CNCF TechDocs team holds a [Zoom meeting][] to answer questions and discuss
anything to do with documentation. Meetings are held on the [fourth Wednesday of
every month at 8am Pacific time][date-time].

- [Zoom meeting][] link
- [Meeting notes][]

> <small>Formerly called _Office Hours_, TechDocs Q&amp;A started on September
> 30, 2020.</small>

## Assistance program for technical documentation

The TechDocs team can help CNCF projects analyze and improve their
documentation. For details, see the TechDocs
[assistance program](docs/assistance.md).

## CNCF TechDocs team

The full-time staff of the team is:

- [Daniel Krook](https://github.com/krook) - Senior director of developer
  experience, CNCF
- [Nate W.](https://github.com/nate-double-u) - Head of mentoring &
  documentation, CNCF
- [Patrice Chalin](https://github.com/chalin) - Senior techdoc & webdev lead
- [Uchechukwu Obasi](https://github.com/thisisobate) - Developer advocate

Consultants and volunteers also contribute to CNCF TechDocs efforts.

## Licenses

- Documentation: [CC-BY-4.0](LICENSE)
- Code: [Apache-2.0](LICENSE-CODE)

[date-time]:
  https://tockify.com/cncf.public.events/monthly?search=CNCF%20Tech%20Writers%20Office%20Hours
[Meeting notes]:
  https://docs.google.com/document/d/1roexHTLCrErYjNT2NEoRsVnn_YNbQzZ1gyXNK8hXR4Q/
[Zoom meeting]:
  https://zoom-lfx.platform.linuxfoundation.org/meeting/95471930872?password=db1aa715-a60b-444c-8b14-71d44161a42e

<!-- cSpell:ignore Chalin Waddington Uchechukwu Obasi techdoc webdev -->
