---
title: README
---

# README

These documents are intended to recommend a direction for the ongoing
development of technical documentation for the in-toto open source software
(OSS) project. This effort is funded by the CNCF Foundation as part of its
overall effort to incubate, grow, and graduate open source cloud native software
projects. According to CNCF best practices guidelines, effective documentation
is a prerequisite for program graduation.

The [CNCF-techdocs](https://github.com/cncf/techdocs) group is developing a
process aimed at assisting cloud-native open-source projects with their
documentation efforts. The process has three steps:

1. Analysis

   A professional technical writer surveys the current project documentation and
   website, and analyzes it with respect to CNCF criteria for completeness,
   discoverability, and usability.

2. Recommendations

   The analyst makes general recommendations for organizing, extending, and
   improving documentation to meet CNCF standards appropriate to the project's
   maturity status.

3. Doc Plan

   The analyst outlines a program of key improvements intended to provide the
   largest return on investment. This is an actionable plan for doc improvement,
   with specific implementation recommendations suitable to the open-source
   development environment.

## Results for in-toto

The analysis and recommendations for the in-toto project documentation are
presented in these files:

- [Survey of existing documentation](./survey-of-existing-doc.md) (as of
  September 2023)
- [Analysis](./in-toto-analysis.md)
- [Recommendations and implementation](./in-toto-implementation.md)
- [Proposed actionable issues](./in-toto-doc-issues.md)
