---
title: Survey of existing documentation as of 09/2023
---

# Survey of existing documentation as of 09/2023

The following links are loosely sorted into conceptual categories.

**Doc issue from contributor**: https://github.com/in-toto/community/issues/9

**Home page** https://in-toto.io/

**GitHub repo for home page**: https://github.com/in-toto/in-toto.io

**Specifications**  
 https://github.com/in-toto/docs/blob/master/in-toto-spec.md (also contains most
of the user doc)

https://github.com/in-toto/attestation

- language-specific implementations of spec

  https://github.com/in-toto/in-toto-java

  https://github.com/in-toto/in-toto-rs

  https://github.com/in-toto/in-toto-golang

- GitHub repo READMEs

  https://github.com/in-toto/in-toto

  https://github.com/in-toto/demo

- Doc generation repo: https://github.com/in-toto/docs

  - Generated (read-the-docs) for Python reference implementation

  - Installation https://in-toto.readthedocs.io/en/latest/installing.html

  - CLI https://in-toto.readthedocs.io/en/latest/command-line-tools/index.html

  - API https://in-toto.readthedocs.io/en/latest/api.html

  - Metadata model https://in-toto.readthedocs.io/en/latest/model.html

  - Configuration https://in-toto.readthedocs.io/en/latest/configuration.html

  - Layout example
    https://in-toto.readthedocs.io/en/latest/layout-creation-example.html (+ ptr
    to demo, not in read-the-docs)

- ITE = in-toto Enhancements (additions to specification)

  https://github.com/in-toto/ITE/blob/master/README.md

  https://github.com/in-toto/ITE/blob/master/ITE/1/README.adoc#abstract

- Contributor and Community

  https://github.com/in-toto/community/blob/main/README.md

  https://github.com/in-toto/community/blob/main/CONTRIBUTING.md

  https://github.com/in-toto/community/blob/main/CODE-OF-CONDUCT.md

  https://github.com/in-toto/friends (ongoing & complete integrations)

- Academic papers (PDFs)

  https://www.usenix.org/system/files/sec19-torres-arias.pdf

  https://www.usenix.org/conference/usenixsecurity19/presentation/torres-arias
