---
title: TUF Issue
cSpell:ignore: theupdateframework
---

## Overview

This issue tracks recommended changes resulting from an analysis of the TUF
documentation commissioned by CNCF. The analysis and supporting documents are
here: https://github.com/cncf/techdocs/tree/main/analyses under `0012-TUF`.This
is a master list of issues recommended in the TUF tech doc analysis and
implementation plan.

## Issues

### Reorganize website content

Reorganize website content by introducing new sections and consolidating some
pages. For example, a docs section can accommodate most pages on the website.
View the proposed outline in the [Implementation document](./implementation.md)

This proposed change consolidates related pages and removes others, changing the
structure of the current website
[theupdateframework.io](https://theupdateframework.io/)

Audience: Admin

Type: Conceptual

### Categorize new user information according to user roles

Structure the _Getting Started_ section according to user roles. The identified
user roles are _Adopters_ and _Contributors_.

These can be further broken down into subsections depending on use case:

- Adopters :
  - Client maintainers
  - Repository maintainers
- Contributors:
  - Spec contributors
  - Docs contributors

View the [Implementation document](./implementation.md) to understand the user
roles and the kind of information targeting each role.

You can add an _Edit this page_ button on website and link it to the doc
repository for doc contributors.

Audience: Admin

Type: Conceptual

### Add introductory Video to homepage

- Add a 1 minute video covering an overview of the TUF project why the project
  matters.

Audience: Admin

Type: Conceptual

### Add a 'Schedule and appointment' icon to the website

- Create a _Schedule an appointment_ link on the website footer section. It can
  also appear on the community page.

Audience: Admin

Type: Conceptual

### Introduce Instructional material for user roles

Create instructional material in the _Getting Started_ section for each user
role i.e configuration guides and tutorials. Include links to the GitHub repos
associated with each role.

Audience: Developer

Type: Task

### Add README to website repo

Add a README to the website repo with information about the project. You can
provide an overview of the project, links to other project repos, communication
channels, contributors' guide and a link to the deployed website on the _About_
section on GitHub.

This provides comprehensive information for anyone coming across the repo on
GitHub.

Audience: Contributor/Admin

Type: Conceptual

### Add search functionality to website

Though not priority, a search functionality helps users easily navigate the
website. The proposed Docsy theme has a search functionality that easy to adopt.

Audience: Developer

Type: Task

### Identify maintainers for website repo

Identify maintainers on the website repo both on the website and repo to make it
easier for contributors to contact them. This information can be added to the
Readme

Audience: Admin

Type: Conceptual

### Add labels to the website repo

Add labels to issues in the website repo to make it easier for contributors to
identify suitable issues. Labels such as `docs` and `good first issue` make it
easier for contributors to get started.

Audience: Admin

Type: Task

### Develop a guidelines contributors on website repo

Develop contributor guides to assist new contributors to get started.

Audience: Admin

Type: Task

### Create procedures for developing the website locally

Provide procedures for developing the docs site locally i.e. cloning, building,
and serving the website. You can also provide information about the tools used
to build and maintain the site e.g :Hugo site, Docsy theme, served on Netlify.

Audience: Contributor

Type: Task

### Provide project meeting details and calendar on website repo

Information on the communication channels on the
[Community repo](https://github.com/theupdateframework/community) can be also
added to the deployed website and the website repo.

Audience: Contributor

Type: Task
