---
title: Services for projects
---

# Services for projects

The CNCF provides technical writing and documentation website services for all
its projects.

All requests are subject to approval by the CNCF and should be submitted through
the [CNCF service desk][].

## Docs assessment

**What it is:** A CNCF technical writer looks at your existing documentation,
identifies strengths, missing areas, and weaknesses in your existing
documentation. They produce a document for project maintainers outlining their
findings.

**Goals:** Create an action plan/issue backlog of documentation tasks to bring
your project up to speed.

**What we need from you:** Links to all documentation across your entire github
org, though writers will focus on what exists in your ‘stated’ website/docs
repository.

> Note: We recommend all CNCF projects request a docs assessment before
> requesting other services.

## Netlify & website setup

**What it is:** We help you set up a website for your project using our
preferred Netlify+Hugo+GitHub docs-as-code stack and template.

> Note: this setup does not include a site redesign.

**Goals:** Gets your project a web presence as quickly as possible.

**What we need from you:** A github repository, preferably named after the
website domain name (i.e. longhorn/longhorn.io, rather than longhorn/website)
Netlify installed/added to this repository A list of key maintainer(s) who
should have access to Netlify A decision on whether your project will use CNCF’s
CLA or Github’s DCO for committer verification.

For more information, see [Netlify and domain setup](netlify-domains-setup.md).

## Techdocs office hours

**What it is:** An hour long open meeting with CNCF’s technical writers where
projects can ask for questions and advice on their documentation.

**Goals:** A way for non-documentation experts to access documentation experts
as needed.

> Note: Office hours works best for smaller, tactical questions ("I need to
> write a getting started guide. Where do I start?") For more general questions,
> we recommend requesting a docs assessment from the team first.

**What we need from you:** Show up with a well-scoped question!

## Website branding & design work

**What it is:** We will do (or contract out) a redesign of your website and add
any features you feel you want and can maintain independently, in order for your
project to present itself professionally.

**Goals:** A way for projects that don’t have a supporting organization’s
design/web dev departments to have a professional-feeling website, increasing
project trust.

**What we need from you:** A demonstration of need that is scoped enough to
draft a statement of work for a contractor, if required.

> Note: We are a small team and these projects are time intensive. As such, we
> can only offer a few slots per year for these kinds of projects.

## Well-scoped writing projects

**What it is:** Have a CNCF technical writer work on a well-scoped,
small-to-medium sized writing project that is accomplishable within 1-2 2 week
sprints.

Examples of well-scoped projects:

- Writing individual tutorial(s), feature documentation, or a getting started
  guide from scratch
- Intensive editing for language/grammar of one section of your documentation
- Review of your information architecture (documentation organization/structure)
  and proposing improvements

Examples of poorly scoped projects:

- Asking for help to “Improve” a section of documentation
- “Write tutorials”

**Prerequisites:** A completed documentation assessment which outlines the need
for a specific kind of documentation that does not exist already.

**Goals:** Improve your documentation in measurable ways that you may not have
the resources to accomplish.

**What we need from you:** A ‘point person’ or maintainer knowledgeable in the
area they’re being asked to work on to ask questions to be available 1-5
hours/week for the duration of the project.

## Longer technical writer engagements

**What it is:** A CNCF technical writer embeds with your project for 3-6 months
and works on it full-time.

**Prerequisites:** A completed documentation assessment which outlines the need
for an embedded writer.

**Goals:** Bring your project to a minimum level

**What we need from you:** A well-scoped draft project proposal when you make a
formal request. Bear in mind that this project proposal will convert to the
statement of work for a contractor and plan accordingly.

> Note: Longer technical writer engagements are subject to team availability and
> CNCF priorities. Availability is not guaranteed.

[CNCF service desk]: https://servicedesk.cncf.io/
